<style>
    .card svg.material-icons path {
      fill: #888;
    }
    .card-container {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      margin-top: 16px;
    }
    .card {
      border-radius: 4px;
      border: 1px solid #eee;
      background-color: #fafafa;
      height: 40px;
      width: 200px;
      margin: 0 8px 16px;
      padding: 16px;
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      transition: all 0.2s ease-in-out;
      line-height: 24px;
    }

    .card-container .card:not(:last-child) {
      margin-right: 0;
    }
  
    .card.card-small {
      height: 16px;
      width: 168px;
    }
  
    .card-container .card:not(.highlight-card) {
      cursor: pointer;
    }
  
    .card-container .card:not(.highlight-card):hover {
      transform: translateY(-3px);
      box-shadow: 0 4px 17px rgba(0, 0, 0, 0.35);
    }
  
    .card-container .card:not(.highlight-card):hover .material-icons path {
      fill: rgb(105, 103, 103);
    }
  
    .card.highlight-card {
      background-color: #1976d2;
      color: white;
      font-weight: 600;
      border: none;
      width: auto;
      min-width: 30%;
      position: relative;
    }
  
    .card.card.highlight-card span {
      margin-left: 60px;
    }
</style>


<div class="container p-5">
    <button (click)="startTimer()">Inicio</button>
    <div class="row">
        
        <div class="col-sm-8 offset-2">
            <div *ngIf="currentQuiz <10" >  
            <p class="text-center"   >{{  currentQuiz +1}} of {{quizzes.length }}</p>
            <h1>{{ quizzes[randomize].question }}</h1>

                <ul class="list_group" *ngFor="let quiz of quizzes[randomize].answer">
                    <label >
                    <li class="list-group-item" appBackground [correctAnswer]="quiz.correct"> 
                        <input type="radio" name="options" (change)="onAnswer(quiz.correct)" [disabled]= "answerSelected">
                        {{ quiz.option}}</li>
                    </label>
                </ul>
            </div>
            <div *ngIf="currentQuiz > 9"> 
                <button class="btn btn-success btn-block" (click)="showResult()" (click)="pauseTimer()">Mostrar Resutltados </button>
                <div *ngIf  ="result"  >
                    Respuestas correctas:  {{correctAnswer}} | Respuestas Incorrecas {{incorrectAnswer}}
                </div>
              
        </div>
    </div>
    </div>
    <div class="content" role="main">
        {{title}}
        <div class="card">
            <p>{{time.toISOString().substr(11,8)}}</p>
        </div>
    
    </div>
</div>

